This reference is for Processing 2.0+. If you have a previous version, use the reference included with your software. If you see any errors or have suggestions, please let us know. If you prefer a more technical reference, visit the Processing Javadoc.

Name | ### textWidth()
Examples |
    textSize(28);

    char c = 'T';
    float cw = textWidth(c);
    text(c, 0, 40);
    line(cw, 0, cw, 50);

    String s = "Tokyo";
    float sw = textWidth(s);
    text(s, 0, 85);
    line(sw, 50, sw, 100);
Description | Calculates and returns the width of any character or text string.
Syntax |
    textWidth(c)
    textWidth(str)
Parameters |
c | char: the character to measure
str | String: the String of characters to measure
Returns | float
Related | loadFont() text() textFont()

Updated on October 26, 2013 08:58:31pm PDT